Financial Advisor Management
Grant trading privileges to one or more financial advisors on a customer's account. By submitting the advisor’s participant_code, the advisor can buy or sell on the customer's behalf. By default, financial advisors do not have permission to deposit or withdraw. Financial advisor access can be revoked at any time through a simple API call.
Adding a Financial Advisor to an Account
A Financial Advisor is not a tenant. Advisors are authorized third parties who can trade on behalf of the account holder but cannot deposit or withdraw. They receive Limited authorization automatically.
Steps
- Create the primary participant using
POST /participants/customers/new - Create the advisor participant using
POST /participants/customers/new - Create the account using
POST /accounts- Assign the primary participant via
participant_code: the primary participant's participant code - Set account type by
type: theAccountTypeEnum - Add the advisor via
financial_advisors: the advisor's participant code(s)
- Assign the primary participant via
{
"participant_code": "CUST01",
"prefunded": false,
"tier": "pro",
"type": "individual",
"account_label": "my-label",
"financial_advisors": ["ADVSR01"]
}
Adding or Removing Advisors After Account CreationAdvisors can also be added after account creation using
POST /accounts/{zrn}/advisorsand removed at any time usingDELETE /accounts/{zrn}/advisors/{participant_code}.
Add advisor request body:
{
"participant_code": "ADVSR01"
}
Advisor PermissionsFinancial Advisors are automatically assigned Limited authorization: they can execute trades and receive statements, but cannot initiate withdrawals. This cannot be changed to Full or View Only.
Advisor Authorization Summary
| Authorization | Withdrawal | Trade | Statements & Receipts |
|---|---|---|---|
| Limited (Advisor default) | No | Yes | Yes |
Key Constraints
- The advisor must be a fully onboarded participant with a valid
participant_codebefore being linked to an account - A participant cannot be both a tenant and a financial advisor on the same account (returns
409) - Financial advisors can be added to any account type: Individual, Business, JTIC, JTWROS, Trust, or UTMA
- Duplicate advisors on the same account are not allowed (returns
409) - Details on advisor authorization process here: https://docs.zerohash.com/docs/financial-advisor-authorization
Authorize Advisor
Authorize a financial advisor to have trading privileges to the customer's account.
POST /accounts/customer:<uuid v4>/advisors
Sample Request
{
"participant_code": "ADVSR1",
} Sample Response
{
"urn": "urn:zh:us:accounts:customer:c761fc96-5c44-40d4-8eb2-3fcd5d06754e",
"participant_code": "ADVSR1",
}Remove an Advisor
Remove a financial advisor from the customer’s account.
DELETE /accounts/{zrn}/advisors/{participant_code}
Sample Response
Success (200)
GET Account Details
Get account details to view the financial advisor associated with the account.
GET /accounts/customer:<uuid v4>/details
Sample Response
{
"urn": "urn:zh:us:accounts:customer:c761fc96-5c44-40d4-8eb2-3fcd5d06754e",
"participant_code": "CUST01",
"prefunded": true,
"account_label": "U12345678",
"tier": "pro",
"account_group": "GROUP01",
"type": "jtic",
"tenants": ["CUST02"],
"financial_advisors": ["ADVSR1"]
}
Updated 7 days ago